# -*- encoding: utf-8 -*-
# stub: blockify 0.2.0 ruby lib

Gem::Specification.new do |s|
  s.name = "blockify".freeze
  s.version = "0.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Bryan Colvin".freeze]
  s.bindir = "exe".freeze
  s.date = "2018-01-08"
  s.description = "The `blockify` gem solves some of the problems associated with complex hierarchical nested arrays and hashes.\nIt is possible to represent an HTML file as a series of Arrays and Hashes with very deep levels of Hashes within Arrays within Hashes.\nTraversing such a tree is tricky at best. The methods of the `blockify` gem are included in Array, and Hash using a naming convention\nthat should not compete with anything. We don't need to concern ourselves with the complexity of the structure and can instead\nfocus on the base elements wherever they may be.".freeze
  s.email = ["bryan@bdlsys.com".freeze]
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Hierarchical nested Hash and Array access tool".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.11"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<byebug>.freeze, ["~> 5.0", ">= 5.0.0"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.11"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<byebug>.freeze, ["~> 5.0", ">= 5.0.0"])
  end
end
